%ext ck1

#tsrmusic
%patch $BE97 $65
%patch $BEE2 $65

#Mermen: shot height (Default $000005, if zero then no shot appears)
#Mermen: Shoot but can't be killed
%patch $4900    $12
#%patch $4902 $0000W

#SHARKS can KILL, but can not be killed.  (Butler Bot sprite type)
%patch $1782 $03

#----------------------------------------------------------------

#Always have Rocket Boots
%patch $900E  $01 $00 

#----------------------------------------------------------------


#change start of graphics storage to $A610
%patch $6EED $A610W
%patch $6F1B $A610W
%patch $6F3C $A610W
%patch $6F5D $A610W

#start of second page
%patch $B8AB $A2F0W
%patch $B8B1 $2F00W #start of 2nd page * $10 



%patchfile $11F80 adt.bin

#UpdateFarCall to ADT_0
%patch $B7B2 $3911W

#UpdateFarCall to ADT_1
%patch $B7AA $395CW


#----------------------------------------------------------------

#Keen doesn't lose bombs on dying in their levels.
#Each line is separate and for 1 part
#%patch $4F82 $90 $90 $90 $90 $90 $90 #Joystick
#%patch $4F8A $90 $90 $90 $90 $90 $90 #Battery
#%patch $4F92 $90 $90 $90 $90 $90 $90 #Vacum
%patch $4F9A $90 $90 $90 $90 $90 $90 #Keeps Yellow bomb 

#----------------------------------------------------------------

#Collected ARTIFACTS Don't Disappear ( Keen's keycards)
%patch $4F43 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 

#-------------------------------------------------- ------------

#Keen rides turtles (cubes)
%patch $467A $57 $56 $E8 $E9BDW $59 $59 $B8
             $0002W  #sound on contact
            #$EB $D  #to play sound
             $EB $13 #to not play sound (must include one of the $EB lines)

#Turtles don't interact with any other sprite
%patch $213E $2045W 
#-------------------------------------------

# Change the controls to: Space, shoot; Enter, status.
%patch $1251  $48
%patch $7FA3  $48
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3DCC  $90 $90
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 

#-------------------------------------------

# adjust the turtle release rate
# $07 is default, lower is faster, higher is slower
# it gets slow fast, $09 is every 3 seconds, $0A is every 6 seconds
# at $04 or lower it's pretty much a constant stream of ice blocks

%patch $2058 $0A

#-------------------------------------------

#Up right turtles
#%patch $2110 $80 $00 #Up speed $FF38W
%patch $2115 $65 $00 #Right speed $00C8W


#====================

#Location of pointer list:

%patch $2528 $26E2W

#Pointers to messages:
%patch $26E2 $252AW #Level 2  (Hologram Technology)
             $26ABW 
             $2675W #Level 4  (level 15 hint, Bomb)
             $26ABW 
             $2566W #Level 6  Artifact
             $2675W #Level 7  (level 15 hint, Bomb)
             $2675W #Level 8  (level 15 hint, Bomb) 
             $25A2W #Level 9  Artifact
             $25DEW #Level 10 Artifact
             $261AW #Level 11 (NO HINT)
             $263AW #Level 12 Artifact
             $26ABW
             $26ABW
             $2675W #Level 15 (Bomb)

#====================
%level.hint 2
Hologram:
 Professor Crank..
    "Aqua Keen,
 NOAA has developed
 Hologram technology
   to communicate
     with you."

%level.hint 6
Hologram:
 Professor Crank..
"Scanners indicate
 an Ancient Artifact
   is located
  in this area."
 
%level.hint 9
Hologram:
 Professor Crank..
"Scanners indicate
 an Ancient Artifact
   is located
  in this area." 

%level.hint 10
Hologram:
 Professor Crank..
"Scanners indicate
 an Ancient Artifact
   is located
  in this area."

%level.hint 11
Hologram:
 Professor Crank..

%level.hint 12
Hologram:
 Professor Crank..
"Scanners indicate
 an Ancient Artifact
   is located
  in this area."

%level.hint 15
Hologram:
 Professor Crank..
"Scanners indicate
 an explosive needs
  to be released
  in this area."

#---------------------------------------------------------------

#Ship Message
%patch $1659B " Locate Areas for   "
%patch $165B0 " Explosives "
%patch $165C6 " DETONATE!  "

#About ID...
%patch 0x015F80 "This MOD is DAWG's second attempt "
%patch 0x015FA8 "in the making of the KEEN Trilogy"
%patch 0x015FD0 "      'Beneath The Blue'.     "
%patch 0x015FF8 "                    "
%patch 0x016020 "First of all, Commander Keen    "
%patch 0x016048 "is one of the best adventure games "
%patch 0x016070 "produced by ID Software,  "
%patch 0x016098 "and published by Apogee"
%patch 0x0160C0 "Please view the readme.txt   "
%patch 0x0160E8 "file for full credits. To Buy    "
%patch 0x016110 "review the Ordering Info."

#Finale
%patch 0x015C24 "Aqua Keen has placed the final     "
%patch 0x015C49 "explosive for Red Tide control.  "
%patch 0x015C6C "He returns to the NOAA's Aqua Dome,"
%patch 0x015C91 "completing another mission.    "

# First dialogue box at NOAA
%patch 0x015CBD "Keen this is Professor"
%patch 0x015CD5 "Crank.  It appears"
%patch 0x015CE9 "we are having...."

%patch 0x015CFB "technical problems."
%patch 0x015D10 "There that's better"
%patch 0x015D25 "GREAT Work"

%patch 0x015D30 "Red Tide is destroyed"

# Second dialogue box at NOAA
%patch 0x00015d47 "The artifacts you    "
%patch 0x00015d5e "found foretells    "
%patch 0x00015d73 "Doomsday..."
 
%patch 0x00015d80 "Earth's Demise.."
%patch 0x00015d92 "12-21-12 "

%patch 0x00015d9c "Aqua Keen, we ask of  "
%patch 0x00015db4 "you to help us once "
%patch 0x00015dcA "more to save Earth.    "

# AK, responce #1
%patch 0x00015de2 "Sir, I'm Honored!  "

# Goodnight, Dear.
%patch 0x00015df6 "Thanks,Aqua Keen"

%patch 0x00015e07 "Aqua Keen assists the"
%patch 0x00015e1E "NOAA's Scientists in   "
%patch 0x00015e37 "interpreting the   "
%patch 0x00015e4c "Ancient Artifacts...."
%patch 0x00015e63 "Great Pyramid?"

#High Score Entries
%patch 0x01593F "Me   "
%patch 0x01594E "Myself "
%patch 0x01595D "I     "

#Status Screen
%patch 0x014E56 "SCORE"
%patch 0x014E60 "EXTRA LIFE AT"
%patch 0x014E77 "LIVES"
%patch 0x014E83 "EXPLOSIVES"
%patch 0x014E9B " LASER"
%patch 0x014EA4 "APRB"
%patch 0x014EAC "  ITEMS "
%patch 0x014EC8 "BLASTS"
#patch 0x014EDB "LIVES LEFT"

#CTSpace
%patch 0x014DEE "You are now cheating!"
%patch 0x014E05 "You just got Rocket Boots "
%patch 0x014E21 "all the items, and    "
%patch 0x014E39 "100 blast for the laser."

#Menu
%patch 0x015EF6 "Continue Game"
%patch 0x015F12 "MOD Credits"
%patch 0x015F22 "Top Scores "
#%patch 0x015F32 "How to Buy:  "
#%patch 0x015F52 "Restart Demo"

#Ordering Info text
%patch $1632C         "        AQUA KEEN:     " $0A $00
%patch $16346         "Beneath the Blue consists" $0A $00
%patch $16361         "   of three unique and" $0A $00
%patch $16379         "  challenging Episodes:" $0A $00
%patch $16392         "1.       RED TIDE        " $0A $00
%patch $163AD         "2.   Seas Will Cease     " $0A $00
%patch $163C8         "3.   12-21-12: Doomsday  " $0A $00
%patch $163E3  "                                      " $0A $00
%patch $1640B "       Checkout other Keen Mods      " $0A $00
%patch $16432 "                 at                  " $0A $00
%patch $16459 "          keenmodding.org          " $0A $00
%patch $1647E "          or www.pckf.com    " $0A $0A $00

%patch $1649E "Commander Keen           can still be " $0A $00
%patch $164C6 "  purchased                  at       " $0A $00
%patch $164EE "   3DRealms            Apogee Software" $0A $00
%patch $16516 "     and                  id Software   " $0A $0A $0A $00

%patch $16542 "                                        " $0A $00
%patch $16570 "                                        " $0A $00

#Don't draw exit tiles
#%patch $4140 $90 $90 $90 #Top left tile
#%patch $416A $90 $90 $90 #Bottom left tile
%patch $4194 $90 $90 $90 #Top right tile
%patch $41C4 $90 $90 $90 #Bottom right tile

%end
